Mailinglist Archive: opensuse-lxde (35 mails)

< Previous Next >
[opensuse-lxde] Re: LXDE translations
  • From: Luiz Fernando Ranghetti <elchevive68@xxxxxxxxx>
  • Date: Tue, 25 May 2010 11:42:00 -0300
  • Message-id: <AANLkTilu9L2VD222JlnuCvQNLK0ePv5FBM07Ky_BVxby@xxxxxxxxxxxxxx>
2010/5/25 Andrea Florio <andrea@xxxxxxxxxxxx>:
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi karl, hi lists,

the lxde team finally completed a "workflow" to translate the
only two applications without an upstream translation.

i'm talking about lxcc and lxdm-conf

attached the pot files generated from lxdmconf.moo and lxcc.moo

actually this is the workflow we follow to move from .moo files to .pot

and back from .po to .moo

(generate .ini file)
moo2ini lxdmconf_template.moo > lxdmconf.ini

(generate .pot file we can easly translate)
ini2po lxdmconf.ini lxdmconf.pot

those two steps has just been done.


once you got the translations you do:

(come back to .ini, not translated)
po2ini -t lxdmconf.ini lxdmconf.po lxdmconf.ini

(merge translations (into ini) with template moo)
ini2moo lxdmconf.ini lxdmconf_template.moo > lxdmconf.moo

the point is... can we do it?
there is any way (a bash script) able to make our life easier?


infos about: tools ini2po and po2ini
http://translate.sourceforge.net/wiki/toolkit/ini2po

those are provided by package python-translate-toolkit that i found only
into an home repo home:thomas-schraitle (that miss anyway, at least,
python-iniparse dependency that you need to manually install)

Best regards
Andrea

- --
- ------------------------------------------
Andrea Florio
QSI International School of Brindisi Sys Admin
CISCO CCNA Certified
openSUSE-Education Administrator
openSUSE Official Member (anubisg1)
Email: andrea@xxxxxxxxxxxx
Packman Packaging Team
Email: andrea@xxxxxxxxxxxxxx
Web: http://packman.links2linux.org/
Cell: +39-328-7365667
- ------------------------------------------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.15 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org/

iEYEARECAAYFAkv73bYACgkQyCZT87TFPuiBpACggeuN+vSQ2Mc0uDevM0WDawiJ
RQ4AmQFu3ROKo8ZDVvHK/HPuNNnlEV7H
=RGIk
-----END PGP SIGNATURE-----

Hi folks,

I have the package python-translate-toolkit in my home repo with all
the dependecies and up-to-date (version 1.7.0)
http://download.opensuse.org/repositories/home:/elchevive/

Regards,

Luiz
--
To unsubscribe, e-mail: opensuse-lxde+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-lxde+help@xxxxxxxxxxxx

< Previous Next >
References